For the complete documentation index, see llms.txt. This page is also available as Markdown.

Upscale

Upscale and refine the quality of your image.

POST https://europe-west1-gepettoai.cloudfunctions.net/v1/upscale

Headers

Name
Type
Description

Authorization*

String

Bearer {{API_KEY}}

Request Body

Name
Type
Description

url*

String

Image URL of the room to be redesigned.

Ex: https://thumbs.dreamstime.com/b/empty-room-26533582.jpg

scale

Number - 2 or 3 Default: 2

(optional) Define the scale of the output. 3 being the largest size it will take more time to compute. Scale of 2 is recommended for an optimal time to result.

webhook

String

(optional) Webhook POST URL to send the result on completion. If not provided, the request will wait for the result.

{
  "base64": "<base64 encoded image>",
  "status": "success"
}
{
  "status": "pending",
  "id": "xxxxxxxxxxxxxx", // You can use that id with Get Job
  "mode": "upscale"
}

Code Examples


curl --location 'https://europe-west1-gepettoai.cloudfunctions.net/v1/upscale' \
--header 'Authorization: Bearer {{API_KEY}}' \
--header 'Content-Type: application/json' \
--data '{
  "url": "https://thumbs.dreamstime.com/b/empty-room-26533582.jpg"
}'
var myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer {{API_KEY}}");
myHeaders.append("Content-Type", "application/json");

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: JSON.stringify({
    "url": "https://thumbs.dreamstime.com/b/empty-room-26533582.jpg"
  })
};

const response = await fetch("https://europe-west1-gepettoai.cloudfunctions.net/v1/upscale", requestOptions)
const body = await reponse.json();
console.log(body)

Results

BEFORE UPSCALE
AFTER UPSCALE
BEFORE UPSCALE
AFTER UPSCALE

Last updated